Bug 426413 - Review Request: metacafe-dl - Command-line program to download videos from metacafe.com
Review Request: metacafe-dl - Command-line program to download videos from me...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 16:23 EST by Rafał Psota
Modified: 2008-01-21 14:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 14:15:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2007-12-20 16:23:04 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/metacafe-dl/metacafe-dl.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/metacafe-dl/metacafe-dl-0-1.2007.10.09.fc8.src.rpm
Description: metacafe-dl is a small command line program for downloading videos from metacafe.com.
Comment 1 Rafał Psota 2008-01-19 10:34:17 EST
Could someone review this package?
Comment 2 manuel wolfshant 2008-01-19 14:41:25 EST
I suggest to take a look at the review (and mostly at the recommendations
available over there) of youtube-dl.

Two short observations regarding your spec:
- The original "package" does not include a license as a separate file;
according to
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-90d644ce2c5db60bad3ba8773fe11653c7629dc3
neither are you allowed to include the license as a separate file
- According to http://fedoraproject.org/wiki/Packaging/NamingGuidelines your
version and release tags are not correct. I suggest to ditch the "0" you have
used as version and replace it with 2007.10.09; start with 1 as release tag
(which can further be incremented, should the package need modifications but
within the same version). 
- As %doc you could use a copy of the page from
http://www.arrakis.es/~rggi3/metacafe-dl/

Comment 3 manuel wolfshant 2008-01-19 14:51:04 EST
And by the way
- your description line is 86 chars, which makes rpmlint unhappy
- you could use cp -p / install -p to preserve the timestamp of the original script
Comment 5 manuel wolfshant 2008-01-19 18:03:23 EST
Note that you have forgotten to update the online spec. The src.rpm is OK.


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel & F7
 [x] Rpmlint output: none
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:MIT
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 766e17c0cee0d3416d7120b4fc7397ce87e74ea7 metacafe-dl
 [x] Package is not known to require ExcludeArch
 [-] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64
 [-] Package should compile and build into binary rpms on all supported
architectures.
     It's a simple python script which creates a noarch package. No reason to
not work on any platform which has Python.
 [x] Package functions as described.
     Tested in F7.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.



================
*** APPROVED ***
================
Comment 6 Rafał Psota 2008-01-19 18:46:57 EST
(In reply to comment #5)
> Note that you have forgotten to update the online spec. The src.rpm is OK.
I'm sure it's updated. Try to refresh the page.



New Package CVS Request
=======================
Package Name: metacafe-dl
Short Description: Command-line program to download videos from metacafe.com
Owners: rafalzaq
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-20 13:35:03 EST
cvs done. 
Comment 8 Rafał Psota 2008-01-21 14:15:37 EST
Imported and built. Thanks again for the review!

Note You need to log in before you can comment on or make changes to this bug.